#include "test.hh"
#include <QApplication>
#include <QtGui>
#include "TQtWidget.h"
#include "TGraph.h"
#include "TSpline.h"
#include "TRandom.h"
#include "TH1.h"

MainWindow::MainWindow(): w(0), g(0), s(0)
{
  w = new TQtWidget(this);
  setCentralWidget(w);
  
  QPushButton *button = new QPushButton(this);
  button->setText("Plot graph");
  setMenuWidget(button);
  // connect(button, SIGNAL(clicked()), SLOT(PlotGraph()));
  connect(button, SIGNAL(clicked()), SLOT(DrawHist()));
}

void MainWindow::DrawHist()
{
  w->cd();
  
  delete h1f;
  h1f = new TH1F("h1f","Test random numbers",200,-2,2);
  h1f->SetBit(kCanDelete, kFALSE);
  // h1f->SetFillColor(45);
  h1f->FillRandom("gaus",10000);
  h1f->Draw();

  w->Refresh();
}

void MainWindow::PlotGraph()
{
  // w->GetCanvas()->cd();
  w->cd();
    
  delete g;
  g = new TGraph(10);
  g->SetBit(kCanDelete, kFALSE);
  g->SetMarkerStyle(2);
  for (int i = 0; i < 10; ++i)
    g->SetPoint(i, i, gRandom->Gaus());
  // g->Draw("ap");

  delete s;
  s = new TSpline3("", g);
  s->SetBit(kCanDelete, kFALSE);
  s->SetLineColor(kRed);
  s->SetLineWidth(2);
  // s->Draw("same");
  s->Draw("LP");

  // w->GetCanvas()->Modified();
  // w->GetCanvas()->Update();
  w->Refresh();
  update();
}

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  MainWindow mw;
  mw.show();
  mw.resize(600, 400);
  
  return app.exec();
}
